API Reference
Get current input-widget config values
Returns the job config values for keys declared by this dashboard's input widgets, keyed by each widget's config key . Open to any authenticated user.
GET /api/dashboards/{id}/config
Returns the job_config values for keys declared by this dashboard's input
widgets, keyed by each widget's config_key. Open to any authenticated user.
Operation ID: getDashboardConfig
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Path parameters
id—integer,requiredResource ID
Success responses
200
Current config values
Content type: application/json
- Reference:
DashboardConfigResponse- Type:
object - Properties:
config(object,required) — Current job_config values keyed by each input widget's config_key.- Description: Current job_config values keyed by each input widget's config_key.
- Additional properties: allowed
- Type:
Error responses
400
Validation error
Content type: application/json
- Reference:
Error- Type:
object - Properties:
error(string)- Example:
NOT_FOUND
- Example:
message(string)- Example:
Resource not found
- Example:
- Type:
Example:
{
"error": "VALIDATION_ERROR",
"message": "Invalid input"
}404
Resource not found
Content type: application/json
- Reference:
Error- Type:
object - Properties:
error(string)- Example:
NOT_FOUND
- Example:
message(string)- Example:
Resource not found
- Example:
- Type:
Example:
{
"error": "NOT_FOUND",
"message": "Resource not found"
}Examples
cURL
curl --request GET \
--url 'https://your-envoy.example.com/api/dashboards/YOUR_ID/config' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/dashboards/YOUR_ID/config', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);